Package org.apache.calcite.avatica.util

## Class AbstractCursor.AccessorImpl

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

All Implemented Interfaces:
  `Cursor.Accessor`

Direct Known Subclasses:
  `AbstractCursor.ApproximateNumericAccessor`, `AbstractCursor.ArrayAccessor`, `AbstractCursor.BigNumberAccessor`, `AbstractCursor.BinaryAccessor`, `AbstractCursor.ExactNumericAccessor`, `AbstractCursor.ObjectAccessor`, `AbstractCursor.StringAccessor`, `AbstractCursor.StructAccessor`

Enclosing class:
  AbstractCursor

    static class AbstractCursor.AccessorImpl
    extends java.lang.Object
    implements Cursor.Accessor

Implementation of `Cursor.Accessor`.

### Field Summary

Fields
`protected AbstractCursor.Getter` `getter`

### Constructor Summary

Constructors
`AccessorImpl​(AbstractCursor.Getter getter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private java.sql.SQLException` `cannotConvert​(java.lang.String targetType)`
`java.sql.Array` `getArray()`
`java.io.InputStream` `getAsciiStream()`
`java.math.BigDecimal` `getBigDecimal()`
`java.math.BigDecimal` `getBigDecimal​(int scale)`
`java.io.InputStream` `getBinaryStream()`
`java.sql.Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`java.io.Reader` `getCharacterStream()`
`java.sql.Clob` `getClob()`
`java.sql.Date` `getDate​(java.util.Calendar calendar)`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`java.io.Reader` `getNCharacterStream()`
`java.sql.NClob` `getNClob()`
`java.lang.String` `getNString()`
`java.lang.Object` `getObject()`
`<T> T` `getObject​(java.lang.Class<T> type)`
`java.lang.Object` `getObject​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)`
`java.sql.Ref` `getRef()`
`short` `getShort()`
`java.sql.SQLXML` `getSQLXML()`
`java.lang.String` `getString()`
`java.sql.Struct` `getStruct()`
`java.sql.Time` `getTime​(java.util.Calendar calendar)`
`java.sql.Timestamp` `getTimestamp​(java.util.Calendar calendar)`
`java.io.InputStream` `getUnicodeStream()`
`java.net.URL` `getURL()`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### getter

    protected final AbstractCursor.Getter getter

### Constructor Detail

#### AccessorImpl

    AccessorImpl​(AbstractCursor.Getter getter)

### Method Detail

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Specified by:
  `wasNull` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString()
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean()
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte()
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort()
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt()
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong()
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat()
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble()
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal()
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal​(int scale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes()
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream()
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream()
                                         throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream()
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject()
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream()
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### cannotConvert

    private java.sql.SQLException cannotConvert​(java.lang.String targetType)
                                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject​(java.util.Map<java.lang.String,​java.lang.Class<?>> map)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef()
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob()
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob()
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray()
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getStruct

    public java.sql.Struct getStruct()
                              throws java.sql.SQLException

Specified by:
  `getStruct` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate​(java.util.Calendar calendar)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime​(java.util.Calendar calendar)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(java.util.Calendar calendar)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL()
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob()
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML()
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString()
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream()
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject​(java.lang.Class<T> type)
                    throws java.sql.SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Throws:
  `java.sql.SQLException`